[
  {
    blockid = queue;
    help=service_smtp_mqueue_queue_queue;
    custom = com.netscape.management.msgserv.MsgQueueControl;
    localvar =
    {
	  .dialogheader.text="\u8a0a\u606f\u50b3\u9001\u4f3a\u670d\u5668\u4f47\u5217\u63a7\u5236";
	  .col1.header = "\u540d\u7a31";
	  .col2.header = "\u90f5\u4ef6\u6578\u76ee";
	  .col3.header = "\u52d5\u4f5c";
	  .queue.help = "\u4f47\u5217\u6e05\u55ae";
	  .but.text = "\u9078\u53d6\u52d5\u4f5c";
    };
    content =
    [
	  {
	    ctrl = pane;
	    layout = [ybox];
	    content =
	    [
		  {
		    ctrl = label;
		    id = msgqlabel;
		    text = $.queue.help;
		  },
		  {
		    ctrl = table;
		    id = msgqtable;
		    label = msgqlabel;
		    showadd = false;
		    showdelete = false;
		    showedit = false;
		    buttonsat = south;
		    columns =
		    [
			  {
			    header = $.col1.header;
		  	  },
			  {
			    header = $.col2.header;
			  },
			  {
			    header = $.col3.header;
			    varname = action;
			  }
		    ];
		    buttons =
		    [
		      {
		        text = $.but.text;
		        cmd = ".sel.action";
		      }
		    ]
		  }
	    ]
	  }
    ]
  },
  {
    blockid = editaction;
    help=service_smtp_mqueue_queue_editaction;
    localvar =
    {
	  /* translate this block */
	  /* .action.items = [bounce, defer, delete, requeue]; */
	  /* .action.labels = ["\u5f48\u56de", "\u5ef6\u9072", "\u522a\u9664", "\u91cd\u65b0\u4f47\u5217"]; */
	  .action.items = [bounce, delete, requeue];
	  .action.labels = ["\u5f48\u56de", "\u522a\u9664", "\u91cd\u65b0\u4f47\u5217"];
	  .action.help = "\u8acb\u9078\u53d6\u8981\u5c0d\u4f47\u5217\u7684\u90f5\u4ef6\u57f7\u884c\u7684\u52d5\u4f5c\uff1a";
    };
    content =
    [
	  {
	    ctrl = pane;
	    layout = [ybox];
	    content =
	    [
	      {
	        ctrl = label;
	        text = $.action.help;
	        id = actionlabel;
	        wrap = $g.label.size3;
	      },
	      {
	        ctrl = vstrut;
	      },
		  {
		    ctrl = choice;
		    id = actionctrl;
		    label = actionlabel;
		    style = radio;
		    items = $.action.items;
		    labels = $.action.labels;
		    group = actiongroup;
		    val = $action;
		    focus = true;
		  }
	    ]
	  }
    ]
  }
]

